> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Billing Plans

Retrieves all Billing Plans.

## HTTP Request

`GET https://api.vindicia.com/billing_plans`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | Allows for setting the max length of the returned array in the paginated results. Allowed values are between 1- 100 | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |
| status | none | Use to filter list of Billing Plans by a status. | No |
| in\_season | none | Datetime parameter that shows all the season sets that are in season on a specific day. | No |
| off\_season | none | Datetime parameter that shows all the season sets that are not in season on a specific day. | No |
| entitlement | none | Use to filter the list of Billing Plans by a specific entitlement **ID**. | No |

## Accepts

None.

## Returns

A JSON list object that contains an array of [Billing Plan](Billing_Plans), starting after the specified starting\_after Billing Plan (or ending before the specified ending\_before Billing Plan). If no more Billing Plans are available, the resulting array will be empty.

Additional list data included:

* “total\_count”: Integer count of the number of [Billing Plans](Billing_Plans) in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Billing Plan object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Billing Plan object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/billing_plans?limit=1"
```

The above command returns JSON structured like this:

```

{
    "object": "List",
    "data": [
        {
        "object": "BillingPlan",
        "id": "TESTPLAN0",
        "vid": "7835983e7d0608d36d4f40b01ab8843e011ab8d9",
        "created": "2013-04-15T10:21:43-07:00",
        "description": "TESTPLAN0 $0 Monthly",
        "status": "Active",
        "periods": {
            "object": "List",
            "data": [
                {
                "object": "BillingPlanPeriod",
                "type": "Month",
                "quantity": 1,
                "cycles": 0,
                "prices": {
                    "object": "List",
                    "data": [
                        {
                        "object": "BillingPlanPrice",
                        "amount": 0,
                        "currency": "USD"
                        }
                    ],
                    "total_count": 1
                    }
                }
            ],
            "total_count": 1
            },
        "metadata": {
            "plansource": "External",
            "plangroup": "April2013"
        },
        "billing_descriptor": "TESTPLAN0"
        }
    ],
    "total_count": 1,
    "url": "/billing_plans?limit=1",
    "next": "/billing_plans?limit=1&starting_after=TESTPLAN0",
    "previous": "/billing_plans?limit=1&ending_before=TESTPLAN0"
}

```

**Parent topic:**[Billing Plans](../topics/Billing_Plans)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.